@echo off
cls
echo The Lock install disk creation utility
echo.
echo This utility will make install disks for The Lock.
echo To use, copy all files to a temp directory, unzip if needed.
echo Three blank 3.5 inch floppy disks will be used.
echo.
echo Please mark a 3.5 inch floppy disk The Lock Install Disk 1
echo mark a second 3.5 inch floppy disk The Lock Install Disk 2
echo mark a third 3.5 inch floppy disk The Lock Install Disk 3
echo.
echo Please insert The Lock Install Disk 1
echo.
CHOICE Continue
if ERRORLEVEL 2 goto end
echo formatting, please wait
ren /? | format a: /u /v:TheLock_1 >nul
cls
echo The Lock Install disk creation utility
echo.
echo Copying files..    I
copy setup.exe a:\setup.exe >nul
copy logo.bmp a:\logo.bmp >nul
copy ccdata.tmp a:\ccdata.tmp >nul
copy license.txt a:\license.txt >nul
copy copyle.txt a:\copyle.txt >nul
copy copyse.txt a:\copyse.txt >nul
copy config.cfg a:\config.cfg >nul
copy config.upf a:\config.upf >nul
copy files.ini a:\files.ini >nul
copy makeboot.bat a:\ >nul
copy makedisk.bat a:\ >nul
cls
echo The Lock install disk creation utility
echo.
echo Copying files...   I
copy readme.txt a:\ >nul
cls
echo The Lock install disk creation utility
echo.
echo Copying files....  I
copy unzdll.dll a:\ >nul
cls
echo The Lock install disk creation utility
echo.
echo Copying files..... I
copy setup.lst a:\ >nul
cls
echo The Lock install disk creation utility
echo.
echo Copying files......I
copy thelock.s12 a:\ >nul
cls
echo The Lock install disk creation utility
echo.
echo Please insert The Lock Install Disk 2
echo.
pause
echo formatting, please wait
ren /? | format a: /u /v:TheLock_2 >nul
cls
echo The Lock install disk creation utility
echo.
echo Copying files.     I
copy thelock.s11 a:\ >nul
cls
echo The Lock install disk creation utility
echo.
echo Copying files......I
:here
cls
echo The Lock install disk creation utility
echo.
echo Please insert The Lock Install Disk 3
echo.
echo The Lock install disk creation utility
echo.
pause
echo formatting, please wait
ren /? | format a: /u /v:TheLock_3 >nul
cls
echo The Lock install disk creation utility
echo.
echo Copying files.     I
copy thelock.s10 a:\ >nul
cls
echo The Lock install disk creation utility
echo.
echo Install Disk Creation Complete.
echo.
pause
cls
:end
exit
